Subject: Re: bug#78129: Acknowledgement ([PATCH] 31.0.50; python-ts-mode fontification does not handle normal python constructs)

From: Jostein Kjønigsen <[email-masked]>
Date: Wed, 30 Apr 2025 23:25:43 +0200

And yet a newer patch, which add enum-values being fontified as constants on top of the things discussed below.

Note: This patch removes a "override" rule which used to be in place. I'm writing Python using typing and from I can tell, removing this rule does not have any adverse affects on my code.

Since Denis added that override, I've put him on CC so he can verify if he can confirm my assessment.

￼

—
Kind Regards
Jostein Kjønigsen

> On 29 Apr 2025, at 12:52, Jostein Kjønigsen <[email-masked]> wrote:
> 
> The initially submitted patch contains a query which are needlessly complicated (import statements).
> 
> Attached is a new patch where this has been simplified.
> 
￼
> 
> —
> Kind Regards
> Jostein Kjønigsen
> 
>> On 29 Apr 2025, at 11:42, GNU bug Tracking System <[email-masked]> wrote:
>> 
>> Thank you for filing a new bug report with debbugs.gnu.org.
>> 
>> This is an automatically generated reply to let you know your message
>> has been received.
>> 
>> Your message is being forwarded to the package maintainers and other
>> interested parties for their attention; they will reply in due course.
>> 
>> Your message has been sent to the package maintainer(s):
>> [email-masked]
>> 
>> If you wish to submit further information on this problem, please
>> send it to [email-masked].
>> 
>> Please do not send mail to [email-masked] unless you wish
>> to report a problem with the Bug-tracking system.
>> 
>> -- 
>> 78129: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78129
>> GNU Bug Tracking System
>> Contact [email-masked] with problems
>